Subject: Re: RCU latency regression in 2.6.16-rc1

From: Lee Revell <[email-masked]>
Date: Wed, 25 Jan 2006 18:13:57 -0500

On Wed, 2006-01-25 at 23:56 +0100, Ingo Molnar wrote:
> 
> yes, that would be a nice test. (I'm busy now with mutex stuff to be 
> able to do a working softirq-preemption patch, but i sent you my
> current patches off-list - if you want to give it a shot. Be warned
> though, there will likely be quite some merging work to do, so it's
> definitely not for the faint hearted.)
> 

OK, I probably won't have time to test it this week either.

In the meantime can anyone explain briefly why such a heavy fix is
needed?  It seems like it would be simpler to make the route cache
flushing operate in batches of 100 routes, rather than invalidating the
whole thing in one shot.  This does seem to be the only softirq that
regularly runs for much more than 1ms.

Would this require major surgery on the networking subsystem?

Lee